Package ru.bitel.bgbilling.modules.payonline.server.bean

# Class TransactionManager

java.lang.Object
ru.bitel.bgbilling.kernel.base.server.logger.BGLogger
ru.bitel.bgbilling.common.dao.AbstarctDaoConstant
ru.bitel.bgbilling.common.dao.AbstractDao<Transaction>
ru.bitel.bgbilling.common.dao.AbstractIdDao<Transaction>
ru.bitel.bgbilling.server.bean.AbstractTransactionManager<Transaction>
ru.bitel.bgbilling.modules.payonline.server.bean.TransactionManager

public class TransactionManager extends AbstractTransactionManager<Transaction>

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `PAYMENT_TYPE_CHARGE`
  `static final int`
  `PAYMENT_TYPE_PAYMENT`

  ### Fields inherited from class ru.bitel.bgbilling.server.bean.AbstractTransactionManager

  `moduleSetup`

  ### Fields inherited from class ru.bitel.bgbilling.common.dao.AbstractDao

  `orderByPattern`

  ### Fields inherited from class ru.bitel.bgbilling.common.dao.AbstarctDaoConstant

  `con, ERROR, fields, moduleId, SQL_ALL, SQL_AND, SQL_CALC_FOUND_ROWS, SQL_DELETE, SQL_DISTINCT, SQL_EQ, SQL_EQCS, SQL_FROM, SQL_GROUP, SQL_IN, SQL_INSERT, SQL_JOIN, SQL_LEFT_JOIN, SQL_LIMIT, SQL_NOT_IN, SQL_ON, SQL_ON_DUPLICATE_KEY_UPDATE, SQL_ORDER, SQL_SELECT, SQL_SET, SQL_UPDATE, SQL_VALUES, SQL_WHERE, tableName`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TransactionManager(Connection con, int moduleId)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addPaymentToTransaction(long transactionId, int paymentId, int paymentType)`
  `void`
  `addUserData(int contactId, String cardNumber, String rebillAnchor)`
  Добавление в БД информации о карте (4 последние цифры) и пользователе этой карты (rebillAnchor - это фактически id пользователя в системе payonline)
  `void`
  `deletePaymentToTransaction(long transactionId)`
  `Transaction`
  `getByTransId(long transId)`
  `protected Transaction`
  `getFromRS(ResultSet rs)`
  `protected Transaction`
  `getFromRS(ResultSet rs, boolean setContractTitle)`
  `List<Transaction>`
  `getList()`
  `List<Transaction>`
  `getList(int contractId)`
  `List<Transaction>`
  `getList(int contractId, Period period)`
  `int`
  `getPaymentIdToTransaction(long transactionId, int paymentType)`
  `void`
  `searchTransaction(SearchResult<Transaction> searchResult, int contractId, String contractTitle, String transactionStatus)`
  `void`
  `update(Transaction b)`
  `protected void`
  `updateImpl(Transaction transaction)`

  ### Methods inherited from class ru.bitel.bgbilling.server.bean.AbstractTransactionManager

  `checkColumn, doConnection, doConnection, executeQuerySumPage, getParameter, getParamString, getParamString, getParamString, getPaymentData, getTransactionSumColumn, psSetId, psSetStatus, queryId, queryStatus, searchTransaction, setConnectionTimeout, setParameter`

  ### Methods inherited from class ru.bitel.bgbilling.common.dao.AbstractIdDao

  `delete, executeUpdate, get, getAndDelete, getAndUpdate, opt, prepareStatement, sqlCommand, sqlCommandAndTable, sqlQuery, sqlWhereId`

  ### Methods inherited from class ru.bitel.bgbilling.common.dao.AbstractDao

  `delete, deleteImpl, eq, get, getById, getImpl, getListFromRS, getPeriod, getQueryById, getSQLOrder, list, list, listImpl, listImpl, listImplPS, listImplPS, ormFromResultSet, ormUpdateImpl, ormUpdateImpl, ormUpdateImpl, ormUpdateImpl, psSetPeriod, queryPeriod, setStatementParam`

  ### Methods inherited from class ru.bitel.bgbilling.common.dao.AbstarctDaoConstant

  `getSQLOrder, getTableName`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.base.server.logger.BGLogger

  `error, error, error, getLogger, logError, logError, warn`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### PAYMENT_TYPE_PAYMENT

    public static final int PAYMENT_TYPE_PAYMENT
    See Also:
      - Constant Field Values

  - ### PAYMENT_TYPE_CHARGE

    public static final int PAYMENT_TYPE_CHARGE
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### TransactionManager

    public TransactionManager(Connection con, int moduleId)

- ## Method Details

  - ### update

    public void update(Transaction b) throws SQLException
    Overrides:
      `update` in class `ru.bitel.bgbilling.common.dao.AbstractDao<Transaction>`
    Throws:
      `SQLException`

  - ### updateImpl

    protected void updateImpl(Transaction transaction) throws SQLException
    Specified by:
      `updateImpl` in class `ru.bitel.bgbilling.common.dao.AbstractDao<Transaction>`
    Throws:
      `SQLException`

  - ### getFromRS

    protected Transaction getFromRS(ResultSet rs) throws SQLException
    Specified by:
      `getFromRS` in class `ru.bitel.bgbilling.common.dao.AbstractDao<Transaction>`
    Throws:
      `SQLException`

  - ### getFromRS

    protected Transaction getFromRS(ResultSet rs, boolean setContractTitle) throws SQLException
    Throws:
      `SQLException`

  - ### searchTransaction

    public void searchTransaction(SearchResult<Transaction> searchResult, int contractId, String contractTitle, String transactionStatus) throws SQLException
    Throws:
      `SQLException`

  - ### getList

    public List<Transaction> getList() throws SQLException
    Throws:
      `SQLException`

  - ### getList

    public List<Transaction> getList(int contractId) throws SQLException
    Throws:
      `SQLException`

  - ### getList

    public List<Transaction> getList(int contractId, Period period) throws SQLException
    Throws:
      `SQLException`

  - ### getByTransId

    public Transaction getByTransId(long transId) throws SQLException
    Throws:
      `SQLException`

  - ### addUserData

    public void addUserData(int contactId, String cardNumber, String rebillAnchor) throws SQLException
    Добавление в БД информации о карте (4 последние цифры) и пользователе этой карты (rebillAnchor - это фактически id пользователя в системе payonline)
    Parameters:
      `contactId` - код договора
      `cardNumber` - номер карты (последние 4 цифры)
      `rebillAnchor` - идентификатор пользователя в системе payonline
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `SQLException`

  - ### addPaymentToTransaction

    public void addPaymentToTransaction(long transactionId, int paymentId, int paymentType) throws SQLException
    Throws:
      `SQLException`

  - ### deletePaymentToTransaction

    public void deletePaymentToTransaction(long transactionId) throws SQLException
    Throws:
      `SQLException`

  - ### getPaymentIdToTransaction

    public int getPaymentIdToTransaction(long transactionId, int paymentType) throws SQLException
    Throws:
      `SQLException`